Docs Rizler

Profile

Update Profile Image

POSThttps://app.rizzdial.com/api/profile/image
Update Profile Image
curl --request POST \
  --url https://app.rizzdial.com/api/profile/image \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --data 'profile_img=<string>'
{
  "data": {
    "id": 1,
    "name": "Jane Doe",
    "email": "jane@example.com",
    "profile_img": "/users_upload/1/profile_1761120000_img.png"
  },
  "message": "Image updated successfully.",
  "success": true,
  "profile_img_url": "/users_upload/1/profile_1761120000_img.png"
}

Update Profile Image#

Uploads a new profile image for the signed-in user. The request must be multipart/form-data.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

profile_imgfilebodyrequired

Image file. Accepted mime types: jpeg, png, jpg, gif. Maximum size: 2 MB

curl --request POST \
  --url https://app.rizzdial.com/api/profile/image \
  --header 'Authorization: Bearer {{bearer_token}}' \
  --form 'profile_img=@/path/to/avatar.png'
successboolean

true when the image is uploaded

messagestring

Image updated successfully.

profile_img_urlstring

Public path for the uploaded image

dataobject

Updated user profile